{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showActionButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Vorname',
        'columnId': 'vorname',
        'ariaLabelId': 'firstname',
        'ariaLabelName': 'Firstname'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Nachname',
        'columnId': 'nachname',
        'ariaLabelId': 'surname',
        'ariaLabelName': 'Surname'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Firma',
        'columnId': 'firma',
        'ariaLabelId': 'company',
        'ariaLabelName': 'Company'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'E-Mail',
        'columnId': 'email',
        'ariaLabelId': 'email',
        'ariaLabelName': 'E-Mail'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'E-Mail bestätigt'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Status'
    } only %}
{% endblock %}

{% block tableContent %}
    {% if showActionButton == true %}
        <td class="mdc-data-table__cell">
            {% include 'component/view_or_edit_button_component.html.twig' with {
                'path': path('external_user_user_registration_edit', {'userRegistrationId': listItem.getId()}),
                'item': listItem
            } only %}
            {% if is_granted('edit', listItem) == true %}
                {% if listItem.getActivationToken() != null and listItem.isAccountUserNotUnlocked() == true and listItem.isEmailConfirmed() == true %}
                    <a title="freischalten" href="{{ path('external_user_user_registration_edit', {'userRegistrationId': listItem.getId()}) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary">
                        <div class="mdc-icon-button__ripple"></div>
                        how_to_reg
                    </a>
                {% endif %}
            {% endif %}
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">{{ listItem.getFirstName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getLastName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getCompanyName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getEmail() }}</td>
    <td class="mdc-data-table__cell">
        {% if listItem.isEmailConfirmed() == true %}
            <i class="material-icons mdc-button__icon" aria-hidden="true">check</i>
        {% else %}
            <i class="material-icons mdc-button__icon" aria-hidden="true">clear</i>
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">
        {% if listItem.isEmailConfirmed() == true %}
            {{ listItem.getUserRegistrationStatus().getName() }}
        {% endif %}
    </td>
{% endblock %}
